Index: BOOK/packages.ent
===================================================================
--- BOOK/packages.ent	(revision 9d32016c24ab889e53a742d5ab35a5dfd8b79dc0)
+++ BOOK/packages.ent	(revision 1da2a8453aaf00f444d633fc0e0159920de953f3)
@@ -18,8 +18,8 @@
 <!ENTITY arcload-home "http://www.linux-mips.org/wiki/ARCLoad">
 
-<!ENTITY autoconf-version "2.61">
-<!ENTITY autoconf-size "1,024 KB">
+<!ENTITY autoconf-version "2.63">
+<!ENTITY autoconf-size "1,172 KB">
 <!ENTITY autoconf-url "&gnu;autoconf/autoconf-&autoconf-version;.tar.bz2">
-<!ENTITY autoconf-md5 "36d3fe706ad0950f1be10c46a429efe0">
+<!ENTITY autoconf-md5 "7565809ed801bb5726da0631ceab3699">
 <!ENTITY autoconf-home "&gnu-software;autoconf">
 
@@ -61,14 +61,14 @@
 <!ENTITY bison-home "&gnu-software;bison">
 
-<!ENTITY bzip2-version "1.0.4">
+<!ENTITY bzip2-version "1.0.5">
 <!ENTITY bzip2-size "828 KB">
 <!ENTITY bzip2-url "http://www.bzip.org/&bzip2-version;/bzip2-&bzip2-version;.tar.gz">
-<!ENTITY bzip2-md5 "fc310b254f6ba5fbb5da018f04533688">
+<!ENTITY bzip2-md5 "3c15a0c8d1d3ee1c46a1634d00617b1a">
 <!ENTITY bzip2-home "http://www.bzip.org/">
 
-<!ENTITY clfs-bootscripts-version "1.1-pre10">
+<!ENTITY clfs-bootscripts-version "1.2-pre1">
 <!ENTITY clfs-bootscripts-size "40 KB">
 <!ENTITY clfs-bootscripts-url "&packages-root;bootscripts-cross-lfs-&clfs-bootscripts-version;.tar.bz2">
-<!ENTITY clfs-bootscripts-md5 "80ae8e7bbb0f8ea2391f7f15a413aee4">
+<!ENTITY clfs-bootscripts-md5 "d8a094d1f59d594ba703e79bafebd823">
 <!ENTITY clfs-bootscripts-home " ">
 
@@ -103,8 +103,8 @@
 <!ENTITY dvhtool-home "http://packages.qa.debian.org/d/dvhtool.html">
 
-<!ENTITY e2fsprogs-version "1.40.4">
-<!ENTITY e2fsprogs-size "3,960 KB">
+<!ENTITY e2fsprogs-version "1.41.1">
+<!ENTITY e2fsprogs-size "4,264 KB">
 <!ENTITY e2fsprogs-url "&sourceforge;e2fsprogs/e2fsprogs-&e2fsprogs-version;.tar.gz">
-<!ENTITY e2fsprogs-md5 "124d744bdf9d443591eb8193c085944b">
+<!ENTITY e2fsprogs-md5 "ddf13b3c9ece247c457db20ca9a10c3c">
 <!ENTITY e2fsprogs-home "http://e2fsprogs.sourceforge.net">
 
@@ -131,8 +131,8 @@
 <!ENTITY file-home "http://www.darwinsys.com/file">
 
-<!ENTITY findutils-version "4.2.32">
-<!ENTITY findutils-size "1,404 KB">
+<!ENTITY findutils-version "4.4.0">
+<!ENTITY findutils-size "1,988 KB">
 <!ENTITY findutils-url "&gnu;findutils/findutils-&findutils-version;.tar.gz">
-<!ENTITY findutils-md5 "aaa6beeb41a6f04963dff58f24a55b96">
+<!ENTITY findutils-md5 "49e769ac4382fae6f104f99d54d0a112">
 <!ENTITY findutils-home "&gnu-software;findutils">
 
@@ -222,14 +222,14 @@
 <!ENTITY inetutils-home "&gnu-software;inetutils">
 
-<!ENTITY iproute2-version "2.6.23">
-<!ENTITY iproute2-size "340 KB">
+<!ENTITY iproute2-version "2.6.26">
+<!ENTITY iproute2-size "356 KB">
 <!ENTITY iproute2-url "http://developer.osdl.org/dev/iproute2/download/iproute2-&iproute2-version;.tar.bz2">
-<!ENTITY iproute2-md5 "2e59da739ef19990408cf0a5cb0cae3e">
+<!ENTITY iproute2-md5 "7d221e735cba05709341cd46401c4ecd">
 <!ENTITY iproute2-home "http://linux-net.osdl.org/index.php/Iproute2">
 
-<!ENTITY kbd-version "1.13">
-<!ENTITY kbd-size "625 KB">
-<!ENTITY kbd-url "http://ftp.altlinux.com/pub/people/legion/kbd/kbd-&kbd-version;.tar.bz2">
-<!ENTITY kbd-md5 "2639fdfe2412b29cbf6936d7db91cee3">
+<!ENTITY kbd-version "1.14">
+<!ENTITY kbd-size "884 KB">
+<!ENTITY kbd-url "http://ftp.altlinux.com/pub/people/legion/kbd/kbd-&kbd-version;.tar.gz">
+<!ENTITY kbd-md5 "3705719cd3c769152be1a896efb34ef8">
 <!ENTITY kbd-home " ">
 
@@ -240,8 +240,8 @@
 <!ENTITY less-home "http://www.greenwoodsoftware.com/less">
 
-<!ENTITY libtool-version "1.5.26">
-<!ENTITY libtool-size "2,900 KB">
+<!ENTITY libtool-version "2.2.6a">
+<!ENTITY libtool-size "2,808 KB">
 <!ENTITY libtool-url "&gnu;libtool/libtool-&libtool-version;.tar.gz">
-<!ENTITY libtool-md5 "aa9c5107f3ec9ef4200eb6556f3b3c29">
+<!ENTITY libtool-md5 "8ca1ea241cd27ff9832e045fe9afe4fd">
 <!ENTITY libtool-home "&gnu-software;libtool">
 
@@ -254,14 +254,14 @@
 <!ENTITY linux-dl-version "2.6">
 
-<!ENTITY linux-version "2.6.24.7">
-<!ENTITY linux-size "45,638 KB">
+<!ENTITY linux-version "2.6.26.5">
+<!ENTITY linux-size "48,344 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-dl-version;/linux-&linux-version;.tar.bz2">
-<!ENTITY linux-md5 "40a73780d51525d28d36dec852c680c4">
+<!ENTITY linux-md5 "98261b39a558cf0739703ffea7db9f43">
 <!ENTITY linux-home "http://www.kernel.org">
 
-<!ENTITY m4-version "1.4.10">
-<!ENTITY m4-size "728 KB">
+<!ENTITY m4-version "1.4.11">
+<!ENTITY m4-size "912 KB">
 <!ENTITY m4-url "&gnu;m4/m4-&m4-version;.tar.bz2">
-<!ENTITY m4-md5 "0a35bab2f5d605e08083d7e3cbd4b8b0">
+<!ENTITY m4-md5 "96ec473c2a6f203976c028e896a01b28">
 <!ENTITY m4-home "&gnu-software;m4">
 
@@ -272,26 +272,26 @@
 <!ENTITY make-home "&gnu-software;make">
 
-<!ENTITY man-version "1.6e">
-<!ENTITY man-size "248 KB">
+<!ENTITY man-version "1.6f">
+<!ENTITY man-size "256 KB">
 <!ENTITY man-url "http://primates.ximian.com/~flucifredi/man/man-&man-version;.tar.gz">
-<!ENTITY man-md5 "d8187cd756398baefc48ba7d60ff6a8a">
+<!ENTITY man-md5 "67aaaa6df35215e812fd7d89472c44b6">
 <!ENTITY man-home "http://primates.ximian.com/~flucifredi/man">
 
-<!ENTITY man-pages-version "3.01">
-<!ENTITY man-pages-size "904 KB">
+<!ENTITY man-pages-version "3.09">
+<!ENTITY man-pages-size "968 KB">
 <!ENTITY man-pages-url "&kernel;linux/docs/manpages/Archive/man-pages-&man-pages-version;.tar.bz2">
-<!ENTITY man-pages-md5 "ef311ffb0c4f43bad822345fb88498f7">
+<!ENTITY man-pages-md5 "a04a1676e2c0676f047a525184e3320b">
 <!ENTITY man-pages-home "http://www.win.tue.nl/~aeb/linux/man">
 
-<!ENTITY mpfr-version "2.3.1">
-<!ENTITY mpfr-size "876 KB">
+<!ENTITY mpfr-version "2.3.2">
+<!ENTITY mpfr-size "968 KB">
 <!ENTITY mpfr-url "http://www.mpfr.org/mpfr-current/mpfr-&mpfr-version;.tar.bz2">
-<!ENTITY mpfr-md5 "8352b619e04dcc73411a38b39dd855f6">
+<!ENTITY mpfr-md5 "527147c097874340cb9cee0579dacf3b">
 <!ENTITY mpfr-home "http://www.mpfr.org/">
 
-<!ENTITY module-init-tools-version "3.4">
-<!ENTITY module-init-tools-size "192 KB">
+<!ENTITY module-init-tools-version "3.4.1">
+<!ENTITY module-init-tools-size "196 KB">
 <!ENTITY module-init-tools-url "http://www.kernel.org/pub/linux/utils/kernel/module-init-tools/module-init-tools-&module-init-tools-version;.tar.bz2">
-<!ENTITY module-init-tools-md5 "db6ac059e80e8dd4389dbe81ee61f3c6">
+<!ENTITY module-init-tools-md5 "e253b066a1bab1d727ca0d54f001b49c">
 <!ENTITY module-init-tools-home "http://www.kerneltools.org/KernelTools.org">
 
@@ -350,8 +350,8 @@
 <!ENTITY sed-home "&gnu-software;sed">
 
-<!ENTITY shadow-version "4.1.2">
-<!ENTITY shadow-size "1,660 KB">
+<!ENTITY shadow-version "4.1.2.1">
+<!ENTITY shadow-size "1,664 KB">
 <!ENTITY shadow-url "ftp://pkg-shadow.alioth.debian.org/pub/pkg-shadow/shadow-&shadow-version;.tar.bz2">
-<!ENTITY shadow-md5 "ce90cbe9cba7f6673cb10cad49083c1c">
+<!ENTITY shadow-md5 "c178e49c45495e296dabbe4ae01a0fbe">
 <!ENTITY shadow-home "http://pkg-shadow.alioth.debian.org">
 
@@ -383,26 +383,27 @@
 <!ENTITY tar-home "&gnu-software;tar">
 
-<!ENTITY tcl-version "8.4.16">
-<!ENTITY tcl-size "3,560 KB">
+<!ENTITY tcl-version2 "8.5">
+<!ENTITY tcl-version "&tcl-version2;.4">
+<!ENTITY tcl-size "4,312 KB">
 <!ENTITY tcl-url "&sourceforge;tcl/tcl&tcl-version;-src.tar.gz">
-<!ENTITY tcl-md5 "f1c783a49547778d160e10be2fb5d76f">
+<!ENTITY tcl-md5 "15032a6a43f3bfbe9223b95186849472">
 <!ENTITY tcl-home "http://www.tcl.tk">
 
-<!ENTITY texinfo-version "4.11">
-<!ENTITY texinfo-size "1628 KB">
-<!ENTITY texinfo-url "&gnu;texinfo/texinfo-&texinfo-version;.tar.bz2">
-<!ENTITY texinfo-md5 "c6bf13df4fbeff8ce874aacd6a51e814">
+<!ENTITY texinfo-version "4.12">
+<!ENTITY texinfo-size "2,424 KB">
+<!ENTITY texinfo-url "&gnu;texinfo/texinfo-&texinfo-version;.tar.gz">
+<!ENTITY texinfo-md5 "e9216fb657e1555a289a14a74dac8f4f">
 <!ENTITY texinfo-home "&gnu-software;texinfo">
 
-<!ENTITY tree-version "1.5.1.1">
-<!ENTITY tree-size "32 KB">
+<!ENTITY tree-version "1.5.2.1">
+<!ENTITY tree-size "36 KB">
 <!ENTITY tree-url "ftp://mama.indstate.edu/linux/tree/tree-&tree-version;.tgz">
-<!ENTITY tree-md5 "f8fc70a9260b50bf8b4613e9d5f5e589">
+<!ENTITY tree-md5 "73d5fa220dfef1ee9c1876c3966f1c18">
 <!ENTITY tree-home "http://mama.indstate.edu/users/ice/tree">
 
-<!ENTITY udev-version "124">
-<!ENTITY udev-size "204 KB">
+<!ENTITY udev-version "128">
+<!ENTITY udev-size "436 KB">
 <!ENTITY udev-url "&kernel;linux/utils/kernel/hotplug/udev-&udev-version;.tar.bz2">
-<!ENTITY udev-md5 "4da0471c0ca3a2a2a77692f67120c03d">
+<!ENTITY udev-md5 "a21a954bb1306bc9c6c3f27792c6e508">
 <!ENTITY udev-home "http://www.kernel.org/pub/linux/utils/kernel/hotplug/udev.html">
 
@@ -415,8 +416,8 @@
 <!ENTITY util-linux-ng-dl-version "2.14">
 
-<!ENTITY util-linux-ng-version "2.14">
-<!ENTITY util-linux-ng-size "2,804 KB">
+<!ENTITY util-linux-ng-version "2.14.1">
+<!ENTITY util-linux-ng-size "2,868 KB">
 <!ENTITY util-linux-ng-url "&kernel;linux/utils/util-linux-ng/v&util-linux-ng-dl-version;/util-linux-ng-&util-linux-ng-version;.tar.bz2">
-<!ENTITY util-linux-ng-md5 "23f227da49df36f33fe47e917e332cd8">
+<!ENTITY util-linux-ng-md5 "9aab772ee9b1f4e67dff98169f3cb380">
 <!ENTITY util-linux-ng-home "http://userweb.kernel.org/~kzak/util-linux-ng/">
 
@@ -427,13 +428,13 @@
 <!ENTITY yaboot-home "http://yaboot.ozlabs.org">
 
-<!ENTITY vim-version "7.1">
-<!ENTITY vim-version2 "71">
-<!ENTITY vim-size "6,728 KB">
+<!ENTITY vim-version "7.2">
+<!ENTITY vim-version2 "72">
+<!ENTITY vim-size "7,048 KB">
 <!ENTITY vim-url "ftp://ftp.vim.org/pub/vim/unix/vim-&vim-version;.tar.bz2">
-<!ENTITY vim-md5 "44c6b4914f38d6f9aa959640b89da329">
+<!ENTITY vim-md5 "f0901284b338e448bfd79ccca0041254">
 <!ENTITY vim-home "http://www.vim.org">
-<!ENTITY vim-language-size "1,168 KB">
+<!ENTITY vim-language-size "1,340 KB">
 <!ENTITY vim-language-url "ftp://ftp.vim.org/pub/vim/extra/vim-&vim-version;-lang.tar.gz">
-<!ENTITY vim-language-md5 "144aa049ba70621acf4247f0459f3ee7">
+<!ENTITY vim-language-md5 "d8884786979e0e520c112faf2e176f05">
 <!ENTITY vim-language-home " ">
 
Index: BOOK/patches.ent
===================================================================
--- BOOK/patches.ent	(revision 9d32016c24ab889e53a742d5ab35a5dfd8b79dc0)
+++ BOOK/patches.ent	(revision 1da2a8453aaf00f444d633fc0e0159920de953f3)
@@ -21,4 +21,8 @@
 <!ENTITY coreutils-uname-patch-size "8 KB">
 
+<!ENTITY expect-avoid_tcl_internals-patch "expect-&expect-version;-avoid-tcl-internals-1.patch">
+<!ENTITY expect-avoid_tcl_internals-patch-md5 "5661004ca23ddc9592f488142367c2f5">
+<!ENTITY expect-avoid_tcl_internals-patch-size "4 KB">
+
 <!ENTITY expect-spawn-patch "expect-&expect-version;-spawn-2.patch">
 <!ENTITY expect-spawn-patch-md5 "7706e1e8238c72eed8dc905d6f3b6aa9">
@@ -53,12 +57,4 @@
 <!ENTITY inetutils-man_pages-patch-size "8 KB">
 
-<!ENTITY linux-security-patch "linux-&linux-version;-security_fixes-1.patch">
-<!ENTITY linux-security-patch-md5 "7f244856cc40e478f5f66a6a6267d4c6">
-<!ENTITY linux-security-patch-size "15.5 KB">
-
-<!ENTITY mpfr-cumulative-patch "mpfr-&mpfr-version;-cumulative-1.patch">
-<!ENTITY mpfr-cumulative-patch-md5 "99c647dfe7f63005db6c0c1b28198ef9">
-<!ENTITY mpfr-cumulative-patch-size "12KB">
-
 <!ENTITY module-init-tools-manpages-patch "module-init-tools-&module-init-tools-version;-manpages-1.patch">
 <!ENTITY module-init-tools-manpages-patch-md5 "2271047586981ae23adf01cc13d97791">
@@ -81,11 +77,7 @@
 <!ENTITY readline-fixes-patch-size "20 KB">
 
-<!ENTITY texinfo-mbstate_fix-patch "texinfo-&texinfo-version;-mbstate_fix-1.patch">
-<!ENTITY texinfo-mbstate_fix-patch-md5 "37e3d170d809bb1c90e9741864839f66">
-<!ENTITY texinfo-mbstate_fix-patch-size "4 KB">
-
-<!ENTITY vim-branch_update-patch "vim-&vim-version;-branch_update-2.patch">
-<!ENTITY vim-branch_update-patch-md5 "bd5ee693b6ed59567dc0e7c003d22694">
-<!ENTITY vim-branch_update-patch-size "284 KB">
+<!ENTITY vim-branch_update-patch "vim-&vim-version;-branch_update-1.patch">
+<!ENTITY vim-branch_update-patch-md5 "b8d3ec6d9b1123d4c92044db590f3218">
+<!ENTITY vim-branch_update-patch-size "20 KB">
 
 <!ENTITY zlib-fpic-patch "zlib-&zlib-version;-fPIC-1.patch">
@@ -100,5 +92,5 @@
 
 <!ENTITY iproute2-libdir-patch "iproute2-&iproute2-version;-libdir-1.patch">
-<!ENTITY iproute2-libdir-patch-md5 "161768813d904b958c76af1e8f4974ac">
+<!ENTITY iproute2-libdir-patch-md5 "0ec074f33dd867dd146a55077f9d5d6e">
 <!ENTITY iproute2-libdir-patch-size "4 KB">
 
@@ -107,8 +99,4 @@
 <!ENTITY perl-multilib-patch-size "4 KB">
 
-<!ENTITY udev-lib64-patch "udev-&udev-version;-lib64-2.patch">
-<!ENTITY udev-lib64-patch-md5 "8e80d66bb1a19638bfb49548a780c86c">
-<!ENTITY udev-lib64-patch-size "12 KB">
-
 <!-- Start of Pure64 patches -->
 
@@ -137,8 +125,4 @@
 <!ENTITY glibc-alpha_ptr_mangle_fix-patch-size "4 KB">
 
-<!ENTITY linux-alpha_PAGE_SIZE-patch "linux-&linux-version;-alpha_PAGE_SIZE-2.patch">
-<!ENTITY linux-alpha_PAGE_SIZE-patch-md5 "70bf07c2ae964c45108ad6a52044164b">
-<!ENTITY linux-alpha_PAGE_SIZE-patch-size "2 KB">
-
 <!-- Start of mips/mips64 patches -->
 
@@ -187,8 +171,4 @@
 <!ENTITY elftoaout-fixes-patch-size "6.7 KB">
 
-<!ENTITY linux-elf_spitfire_fix-patch "linux-&linux-version;-elf_spitfire_fix-1.patch">
-<!ENTITY linux-elf_spitfire_fix-patch-md5 "e0198bd54b7d1a2cd142d1bb22ae61f8">
-<!ENTITY linux-elf_spitfire_fix-patch-size "4 KB">
-
 <!ENTITY inetutils-memcpy_sparc64-patch "inetutils-&inetutils-version;-memcpy_sparc64-1.patch">
 <!ENTITY inetutils-memcpy_sparc64-patch-md5 "04ed919685f6790931eaa8684452a755">
